package com.muyu.common.core.enums;

import lombok.Getter;

import java.util.Arrays;

/**
 * 支付服务/用户开启状态
 *
 * @author muyu
 */
@Getter
public enum SysYesNo {
    YES("Y", "启用"),
    NO("N", "停用");

    private final String code;
    private final String info;

    SysYesNo(String code, String info) {
        this.code = code;
        this.info = info;
    }

    /**
     * 鉴别参数是否是启用状态
     * @param code 需鉴别参数
     * @return 如果存在返回结果turn,否则返回false
     */
    public static boolean isCode(String code){
        return Arrays.stream(values())
                .map(SysYesNo::getCode)
                .anyMatch(c -> c.equals(code));
    }
}
