package com.muyu.common.core.validation;/**
 * @Author: 胡杨
 * @Name: IsSystemYesNoValidator
 * @Description: 支付服务/客户启用状态校验器
 * @CreatedDate: 2024/8/5 下午8:00
 * @FilePath: com.muyu.common.core.validation
 */


import com.muyu.common.core.enums.SysYesNo;
import com.muyu.common.core.validation.custom.IsSysYesNo;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;

/**
 * @Author: 胡杨
 * @Name: IsSystemYesNoValidator
 * @Description: 支付服务/客户启用状态校验器
 * @CreatedDate: 2024/8/5 下午8:00
 * @FilePath: com.muyu.common.core.validation
 */

public class IsSysYesNoValidator implements ConstraintValidator<IsSysYesNo,String> {
    @Override
    public boolean isValid(String s, ConstraintValidatorContext constraintValidatorContext) {
        return SysYesNo.isCode(s);
    }
}
