package com.muyu.common.core.validation.custom;

import com.muyu.common.core.validation.IsSysPayTypeValidator;
import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @Author: 胡杨
 * @Name: IsSysPayType
 * @Description: 选择支付方式
 * @CreatedDate: 2024/8/8 下午8:09
 * @FilePath: com.muyu.common.core.validation.custom
 */

@Target({ElementType.FIELD})
@Retention(RUNTIME)
@Documented
@Constraint(validatedBy = IsSysPayTypeValidator.class)
public @interface IsSysPayType {
    String message() default "数据字典:[支付渠道] - 参数不合法";
    Class<?>[] groups() default {};
    Class<? extends Payload>[] payload() default {};
}
