package com.muyu.common.core.validation.custom;

import com.muyu.common.core.validation.IsSysYesNoValidator;
import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.*;

import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @Author：胡杨
 * @name: IsSystemYesNo
 * @Date: 2024/8/5 下午7:57
 * @Description: com.muyu.common.core.validation.custom
 */

@Target({ElementType.FIELD})
@Retention(RUNTIME)
@Documented
@Constraint(validatedBy = IsSysYesNoValidator.class)
public @interface IsSysYesNo {
    String message() default "数据字典:[支付服务/客户启用状态] - 参数不合法";
    Class<?>[] groups() default {};
    Class<? extends Payload>[] payload() default {};
}
